Name:          holdingnuts
Version:       0.0.5
Release:       3mamba
Summary:       HoldingNuts is an open source multi-platform poker client and server. 
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/holdingnuts/
Source:        http://downloads.sourceforge.net/project/holdingnuts/holdingnuts/%{version}/holdingnuts-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
HoldingNuts is an open source multi-platform poker client and server. 
You can play the popular Texas Hold'em variant with people all over the world, meet your friends, run your own games and even setup your own poker-network. 

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build
mkdir %{buildroot}%{_libdir}
install  build/src/libpoker/libPoker.so %{buildroot}%{_libdir}/
install  build/src/system/*.so %{buildroot}%{_libdir}/

%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/holdingnuts                      
%{_bindir}/holdingnuts-server               
%{_libdir}/lib*.so
%dir %{_datadir}/holdingnuts
%dir %{_datadir}/holdingnuts/data
%dir %{_datadir}/holdingnuts/data/audio
%{_datadir}/holdingnuts/data/audio/*.wav
%dir %{_datadir}/holdingnuts/data/gfx
%{_datadir}/holdingnuts/data/gfx/deck/classic/*.png
%{_datadir}/holdingnuts/data/gfx/deck/default/*.png   
%{_datadir}/holdingnuts/data/gfx/foyer/*.png
%{_datadir}/holdingnuts/data/gfx/table/*.png
%dir %{_datadir}/holdingnuts/data/i18n
%{_datadir}/holdingnuts/data/i18n/*.qm
%doc LICENSE

%changelog
* Wed Oct 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.5-3mamba
- rebuilt with debug package and specfile fixes

* Thu Feb 11 2016 Automatic Build System <autodist@mambasoft.it> 0.0.5-2mamba
- automatic rebuild by autodist

* Wed Nov 18 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.0.5-1mamba
- package created by autospec
